Module tdlight.api
Package it.tdlight.jni

# Class TdApi.UserTypeDeleted

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.UserType
it.tdlight.jni.TdApi.UserTypeDeleted

Enclosing class:
  TdApi

public static final class TdApi.UserTypeDeleted extends TdApi.UserType
A deleted user or deleted bot. No information on the user besides the user identifier is available. It is not possible to perform any active actions on this type of user.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`

## Constructor Summary

Constructors
Constructor
Description
`UserTypeDeleted()`
A deleted user or deleted bot.
`UserTypeDeleted(DataInput input)`
A deleted user or deleted bot.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### UserTypeDeleted

public UserTypeDeleted()
A deleted user or deleted bot. No information on the user besides the user identifier is available. It is not possible to perform any active actions on this type of user.

### UserTypeDeleted

public UserTypeDeleted(DataInput input) throws IOException
A deleted user or deleted bot. No information on the user besides the user identifier is available. It is not possible to perform any active actions on this type of user.

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`